Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
artifacts
Create an Artifact
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/artifacts \
  --header 'Authorization: Bearer <token>' \
  --header 'content-type: multipart/form-data' \
  --header 'environmentName: <environmentname>' \
  --header 'versionName: <versionname>' \
  --form filename-including-path='@example-file'
{
  "ignoredResources": [
    {
      "name": "<string>",
      "reason": "<string>"
    }
  ],
  "versionName": 1
}

Authorizations

Authorization
string
header
required

a valid bearer token

Headers

content-type
string
required
versionName
string
required
environmentName
string
required
commitHash
string
branch
string

Path Parameters

projectId
string<uuid>
required

Body

multipart/form-data

To create an artifact a MultiPart form data body is required.

The request should contain all the assets(files) within your Data Productivity Cloud project.

Each asset will need to set the multipart name as the full relative path of the asset including the asset name. Each asset will also require a text/plain content type header to be set. Currently only text files are supported.

filename-including-path
file

Response

Created artifact successfully

ignoredResources
object[]

List of assets that were not included in the artifact

versionName
string

The generated artifact version name used to identify a specific artifact

Example:

1